Skip to content

patchCrmAccount_1

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
property name*anyadditional property
PATCH
/api/v1/crm/account/{id}
curl -i -X PATCH \
  'https://api.prana.software/api/v1/crm/account/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "property1": null,
    "property2": null
  }'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
namestring

Account name

Default:""
Example:"ACME Corp"
legalNamestring

Legal registered name

Default:""
Example:"ACME Corporation S.L."
cifstring

Tax identification number

Default:""
Example:"B12345678"
codestring

Account code

Default:""
Example:"CRM-0001"
sectorstring

Business sector

Default:""
Example:"Manufacturing"
sourcestring

Lead source or origin

Default:""
Example:"Website"
typestring(ApiCrmAccountTypeEnum)

Account type: LEAD or CUSTOMER

Default:""
Enum:"LEAD""CUSTOMER"
Example:"LEAD"
customerobject(ApiCustomerListReadDto)

Linked customer when type is CUSTOMER

Default:""
addressstring

Street address

Default:""
Example:"123 Main Street"
postalCodestring

Postal code

Default:""
Example:"28001"
citystring

City name

Default:""
Example:"Madrid"
stateobject(ApiStateListReadDto)

State/province information

Default:""
countryobject(ApiCountryListReadDto)

Country information

Default:""
mainPhonestring

Primary phone number

Default:""
Example:"+34912345678"
additionalPhonestring

Additional phone number

Default:""
Example:"+34912345679"
emailstring

Email address

Default:""
Example:"info@acme.com"
websitestring

Website URL

Default:""
Example:"https://www.acme.com"
notesstring

Additional notes about the account

Default:""
employeeCountstring

Number of employees range

Default:""
Example:"11-50"
tagsArray of strings

Tags associated with the account

Default:""
Example:
[ "VIP", "Enterprise" ]
usersCompany1object(ApiUsersCompanyListReadDto)

Primary assigned user

Default:""
usersCompany2object(ApiUsersCompanyListReadDto)

Secondary assigned user

Default:""
usersCompany3object(ApiUsersCompanyListReadDto)

Tertiary assigned user

Default:""
activeOpportunitiesCountinteger, (int32)

Number of active opportunities for this account

Default:""
Example:3
pipelineAmountnumber

Total pipeline amount from active opportunities

Default:""
Example:150000
lastActivityAtstring, (date-time)

Date and time of the last activity

Default:""
Example:"2026-05-01T10:30:00Z"
createdBystring

User who created the account

Default:""
Example:"user-uuid"
createdAtstring, (date-time)

Account creation timestamp

Default:""
Example:"2026-01-15T09:00:00Z"
updatedAtstring, (date-time)

Last update timestamp

Default:""
Example:"2026-05-01T10:30:00Z"
convertedAtstring, (date-time)

Timestamp when the lead was converted to customer

Default:""
Example:"2026-03-01T14:00:00Z"
Response
// No response example